<?php
/**
 * Class Country_Code
 *
 * @package WooCommerce\Payments
 */

namespace WCPay\Constants;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Country Code constants
 *
 * @psalm-immutable
 */
class Country_Code extends Base_Constant {
	const AFGHANISTAN                      = 'AF';
	const ALAND_ISLANDS                    = 'AX';
	const ALBANIA                          = 'AL';
	const ALGERIA                          = 'DZ';
	const AMERICAN_SAMOA                   = 'AS';
	const ANDORRA                          = 'AD';
	const ANGOLA                           = 'AO';
	const ANGUILLA                         = 'AI';
	const ANTARCTICA                       = 'AQ';
	const ANTIGUA_AND_BARBUDA              = 'AG';
	const ARGENTINA                        = 'AR';
	const ARMENIA                          = 'AM';
	const ARUBA                            = 'AW';
	const AUSTRALIA                        = 'AU';
	const AUSTRIA                          = 'AT';
	const AZERBAIJAN                       = 'AZ';
	const BAHAMAS                          = 'BS';
	const BAHRAIN                          = 'BH';
	const BANGLADESH                       = 'BD';
	const BARBADOS                         = 'BB';
	const BELARUS                          = 'BY';
	const BELGIUM                          = 'BE';
	const BELIZE                           = 'BZ';
	const BENIN                            = 'BJ';
	const BERMUDA                          = 'BM';
	const BHUTAN                           = 'BT';
	const BOLIVIA                          = 'BO';
	const BOSNIA_AND_HERZEGOVINA           = 'BA';
	const BOTSWANA                         = 'BW';
	const BOUVET_ISLAND                    = 'BV';
	const BRAZIL                           = 'BR';
	const BRITISH_INDIAN_OCEAN_TERRITORY   = 'IO';
	const BRUNEI                           = 'BN';
	const BULGARIA                         = 'BG';
	const BURKINA_FASO                     = 'BF';
	const BURUNDI                          = 'BI';
	const CABO_VERDE                       = 'CV';
	const CAMBODIA                         = 'KH';
	const CAMEROON                         = 'CM';
	const CANADA                           = 'CA';
	const CARIBBEAN_NETHERLANDS            = 'BQ';
	const CENTRAL_AFRICAN_REPUBLIC         = 'CF';
	const CHAD                             = 'TD';
	const CHILE                            = 'CL';
	const CHINA                            = 'CN';
	const COCOS_KEELING_ISLANDS            = 'CC';
	const COLOMBIA                         = 'CO';
	const COOK_ISLANDS                     = 'CK';
	const COMOROS                          = 'KM';
	const CONGO                            = 'CG';
	const COSTA_RICA                       = 'CR';
	const CROATIA                          = 'HR';
	const CUBA                             = 'CU';
	const CYPRUS                           = 'CY';
	const CZECHIA                          = 'CZ';
	const DEMOCRATIC_REPUBLIC_OF_THE_CONGO = 'CD';
	const DENMARK                          = 'DK';
	const DJIBOUTI                         = 'DJ';
	const DOMINICA                         = 'DM';
	const DOMINICAN_REPUBLIC               = 'DO';
	const EAST_TIMOR                       = 'TL';
	const ECUADOR                          = 'EC';
	const EGYPT                            = 'EG';
	const EL_SALVADOR                      = 'SV';
	const EQUATORIAL_GUINEA                = 'GQ';
	const ERITREA                          = 'ER';
	const ESTONIA                          = 'EE';
	const ESWATINI                         = 'SZ';
	const ETHIOPIA                         = 'ET';
	const FIJI                             = 'FJ';
	const FINLAND                          = 'FI';
	const FRANCE                           = 'FR';
	const GABON                            = 'GA';
	const GAMBIA                           = 'GM';
	const GEORGIA                          = 'GE';
	const GERMANY                          = 'DE';
	const GIBRALTAR                        = 'GI';
	const GHANA                            = 'GH';
	const GREECE                           = 'GR';
	const GRENADA                          = 'GD';
	const GUATEMALA                        = 'GT';
	const GUINEA                           = 'GN';
	const GUINEA_BISSAU                    = 'GW';
	const GUYANA                           = 'GY';
	const HAITI                            = 'HT';
	const HONDURAS                         = 'HN';
	const HONG_KONG                        = 'HK';
	const HUNGARY                          = 'HU';
	const ICELAND                          = 'IS';
	const INDIA                            = 'IN';
	const INDONESIA                        = 'ID';
	const IRAN                             = 'IR';
	const IRAQ                             = 'IQ';
	const IRELAND                          = 'IE';
	const ISRAEL                           = 'IL';
	const ITALY                            = 'IT';
	const IVORY_COAST                      = 'CI';
	const JAMAICA                          = 'JM';
	const JAPAN                            = 'JP';
	const JORDAN                           = 'JO';
	const KAZAKHSTAN                       = 'KZ';
	const KENYA                            = 'KE';
	const KIRIBATI                         = 'KI';
	const KOSOVO                           = 'XK';
	const KUWAIT                           = 'KW';
	const KYRGYZSTAN                       = 'KG';
	const LAOS                             = 'LA';
	const LATVIA                           = 'LV';
	const LEBANON                          = 'LB';
	const LESOTHO                          = 'LS';
	const LIBERIA                          = 'LR';
	const LIBYA                            = 'LY';
	const LIECHTENSTEIN                    = 'LI';
	const LITHUANIA                        = 'LT';
	const LUXEMBOURG                       = 'LU';
	const MADAGASCAR                       = 'MG';
	const MALAWI                           = 'MW';
	const MALAYSIA                         = 'MY';
	const MALDIVES                         = 'MV';
	const MALI                             = 'ML';
	const MALTA                            = 'MT';
	const MARSHALL_ISLANDS                 = 'MH';
	const MAURITANIA                       = 'MR';
	const MAURITIUS                        = 'MU';
	const MEXICO                           = 'MX';
	const MICRONESIA                       = 'FM';
	const MOLDOVA                          = 'MD';
	const MONACO                           = 'MC';
	const MONGOLIA                         = 'MN';
	const MONTENEGRO                       = 'ME';
	const MOROCCO                          = 'MA';
	const MOZAMBIQUE                       = 'MZ';
	const MYANMAR                          = 'MM';
	const NAMIBIA                          = 'NA';
	const NAURU                            = 'NR';
	const NEPAL                            = 'NP';
	const NETHERLANDS                      = 'NL';
	const NEW_ZEALAND                      = 'NZ';
	const NICARAGUA                        = 'NI';
	const NIGER                            = 'NE';
	const NIGERIA                          = 'NG';
	const NORTH_KOREA                      = 'KP';
	const NORTH_MACEDONIA                  = 'MK';
	const NORWAY                           = 'NO';
	const OMAN                             = 'OM';
	const PAKISTAN                         = 'PK';
	const PALAU                            = 'PW';
	const PALESTINE                        = 'PS';
	const PANAMA                           = 'PA';
	const PAPUA_NEW_GUINEA                 = 'PG';
	const PARAGUAY                         = 'PY';
	const PERU                             = 'PE';
	const PHILIPPINES                      = 'PH';
	const POLAND                           = 'PL';
	const PORTUGAL                         = 'PT';
	const QATAR                            = 'QA';
	const ROMANIA                          = 'RO';
	const RUSSIA                           = 'RU';
	const RWANDA                           = 'RW';
	const SAINT_BARTHELEMY                 = 'BL';
	const SAINT_KITTS_AND_NEVIS            = 'KN';
	const SAINT_LUCIA                      = 'LC';
	const SAINT_VINCENT_AND_THE_GRENADINES = 'VC';
	const SAMOA                            = 'WS';
	const SAN_MARINO                       = 'SM';
	const SAO_TOME_AND_PRINCIPE            = 'ST';
	const SAUDI_ARABIA                     = 'SA';
	const SENEGAL                          = 'SN';
	const SERBIA                           = 'RS';
	const SEYCHELLES                       = 'SC';
	const SIERRA_LEONE                     = 'SL';
	const SINGAPORE                        = 'SG';
	const SLOVAKIA                         = 'SK';
	const SLOVENIA                         = 'SI';
	const SOLOMON_ISLANDS                  = 'SB';
	const SOMALIA                          = 'SO';
	const SOUTH_AFRICA                     = 'ZA';
	const SOUTH_KOREA                      = 'KR';
	const SOUTH_SUDAN                      = 'SS';
	const SPAIN                            = 'ES';
	const SRI_LANKA                        = 'LK';
	const SUDAN                            = 'SD';
	const SURINAME                         = 'SR';
	const SWEDEN                           = 'SE';
	const SWITZERLAND                      = 'CH';
	const SYRIA                            = 'SY';
	const TAIWAN                           = 'TW';
	const TAJIKISTAN                       = 'TJ';
	const TANZANIA                         = 'TZ';
	const THAILAND                         = 'TH';
	const TOGO                             = 'TG';
	const TONGA                            = 'TO';
	const TRINIDAD_AND_TOBAGO              = 'TT';
	const TUNISIA                          = 'TN';
	const TURKEY                           = 'TR';
	const TURKMENISTAN                     = 'TM';
	const TUVALU                           = 'TV';
	const UGANDA                           = 'UG';
	const UKRAINE                          = 'UA';
	const UNITED_ARAB_EMIRATES             = 'AE';
	const UNITED_KINGDOM                   = 'GB';
	const UNITED_STATES                    = 'US';
	const URUGUAY                          = 'UY';
	const UZBEKISTAN                       = 'UZ';
	const VANUATU                          = 'VU';
	const VATICAN_CITY                     = 'VA';
	const VENEZUELA                        = 'VE';
	const VIETNAM                          = 'VN';
	const YEMEN                            = 'YE';
	const ZAMBIA                           = 'ZM';
	const ZIMBABWE                         = 'ZW';
}
